import { Injectable } from '@angular/core';
import { HttpRequestService } from '../resources/http-request.service';
import { Observable, map } from 'rxjs';

@Injectable({
  providedIn: 'root'
})
export class PartialDeliveriesService {

  private _url: string;
  constructor( private _httpRequestService:HttpRequestService ) {
    this._url = 'acquisition-management/dispatch';
  }

  public getPartialDeliveries(): Observable<any> {
    return this._httpRequestService.getQuery(`${this._url}/get-partial-deliveries`).pipe(map(( data: any ) => data));
  }

}
